<?php							
	// appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();
	
	//Verification champs requis
	function isRequired($cle,$elt){
		try{
			$rows= $cle->getElement($elt)->get('validators');
			for($i=0; $i < sizeof($rows); $i++){
				if(isset($rows[$i])){
					if($rows[$i] == "NotEmpty"){
						return true;
					}
				}
			}					
			throw new Exception("");
			return false;
		}catch(Exception $e){
			echo '';
		}
	}
?>

<h2 class="page-header">
	<?php echo $filter_no_html->filter( $i18n -> say('add_form')).' '.$filter_no_html->filter( $i18n -> say('intervenant_id')) ; ?>
</h2>
<form method="post" name="form_intervenant" action="" role="form" class="form-horizontal">	
	<fieldset>
		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<!-- Panel Identification - Start -->
			<div id="panel_identification" class="panel panel-primary">
				<div class="panel-heading" role="tab" id="headingIdentification">
					<h4 class="panel-title">
						<span class="icon-address" aria-hidden="true"></span>&nbsp;
						<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification"
						   aria-expanded="true" aria-controls="collapseIdentification">
							<?php echo $filter_no_html->filter( $i18n -> say('identification') );?>
						</a>
					</h4>
				</div>
					
				<div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
					<div class="panel-body">
						<div class="form-group field text" id="Ftitre">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="titre">
								<?php echo $helper_form->getElement('titre')->get('label').' '.((isRequired($helper_form,"titre")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('titre')->getHtml();?></div>
						</div>
										
						<div class="form-group field text" id="Fnom">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="nom">
								<?php echo $helper_form->getElement('nom')->get('label').' '.((isRequired($helper_form,"nom")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('nom')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fprenom">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="prenom">
								<?php echo $helper_form->getElement('prenom')->get('label').' '.((isRequired($helper_form,"prenom")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('prenom')->getHtml();?></div>
						</div>
						
						<div class="form-group field textarea" id="Fadresse">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="adresse">
								<?php echo $helper_form->getElement('adresse')->get('label').' '.((isRequired($helper_form,"adresse")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('adresse')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fcp">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="cp">
								<?php echo $helper_form->getElement('cp')->get('label').' '.((isRequired($helper_form,"cp")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('cp')->getHtml();?></div>
						</div>
											
						<div class="form-group field text" id="Fville">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="ville">
								<?php echo $helper_form->getElement('ville')->get('label').' '.((isRequired($helper_form,"ville")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('ville')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Ftelephone">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="telephone">
								<?php echo $helper_form->getElement('telephone')->get('label').' '.((isRequired($helper_form,"telephone")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('telephone')->getHtml();?></div>
						</div>	
						
						<div class="form-group field text" id="Femail">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="email">
								<?php echo $helper_form->getElement('email')->get('label').' '.((isRequired($helper_form,"email")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('email')->getHtml();?></div>
						</div>
						
						<div class="form-group field textarea" id="Forganisme_id">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="organisme_id">
								<?php echo $helper_form->getElement('organisme_id')->get('label').' '.((isRequired($helper_form,"organisme_id")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('organisme_id')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fmetier_id">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="metier_id">
								<?php echo $helper_form->getElement('metier_id')->get('label').' '.((isRequired($helper_form,"metier_id")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('metier_id')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fcommentaire">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="commentaire">
								<?php echo $helper_form->getElement('commentaire')->get('label').' '.((isRequired($helper_form,"commentaire")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('commentaire')->getHtml();?></div>
						</div>
					</div>	
				</div>
			</div>
			<!-- Panel Identification - End -->
		</div>
		<div>
			<input class="btn btn-primary" type="submit" value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>" />
			<a href="<?php echo $this->getRequest('Intervenant', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
		</div>
	</fieldset>
</form>